/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workoutsignin.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.work.entity.report.WorkReport;
import com.jeeplus.modules.workoutsignin.entity.WorkOutSignIn;

import java.util.List;
import java.util.Map;

/**
 * 外勤签到DAO接口
 * @author 
 * @version 2017-04-20
 */
@MyBatisDao
public interface WorkOutSignInDao extends CrudDao<WorkOutSignIn> {

	public WorkOutSignIn findLast();
	
	public Long findCount(WorkOutSignIn workOutSignIn);

	public List<WorkOutSignIn> findByCompany(WorkOutSignIn workOutSignIn);

    List getCreateDateList(Map<String, String> map);
    List<WorkOutSignIn> findByCompany2(Map<String,Object> map);
	List<WorkOutSignIn> findByCompany1(Map<String,String> map);
	List getCreateDateList1(Map<String, String> map);
	List<WorkOutSignIn> findByCompanyAll(Map<String,String> map);
	List getCreateDateListAll(Map<String, String> map);
	public List<WorkOutSignIn> findByManage(Map<String,Object> map);
	public List<WorkOutSignIn> findByCompanySelf(Map<String,Object> map);
}